Bug 1264489 - [abrt] menu-cache: fm_xml_file_item_get_tag(): menu-cache-gen killed by SIGSEGV
Summary: [abrt] menu-cache: fm_xml_file_item_get_tag(): menu-cache-gen killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: menu-cache
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7aa2e84e987034bde5c86c66cf1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-18 15:02 UTC by Raphael Groner
Modified: 2015-12-13 04:23 UTC (History)
2 users (show)

Fixed In Version: menu-cache-1.0.0-4.D20151128git0b1e85c263.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-13 04:23:53 UTC


Attachments (Terms of Use)
File: backtrace (16.66 KB, text/plain)
2015-09-18 15:02 UTC, Raphael Groner
no flags Details
File: cgroup (285 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: dso_list (2.07 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: environ (2.66 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: exploitable (100 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: maps (9.39 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: mountinfo (3.32 KB, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: open_fds (458 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details
File: var_log_messages (323 bytes, text/plain)
2015-09-18 15:03 UTC, Raphael Groner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1252581 None None None Never
Red Hat Bugzilla 1264438 None None None Never

Internal Links: 1252581 1264438

Description Raphael Groner 2015-09-18 15:02:56 UTC
Description of problem:
tried to start lxqt-panel from QTerminal

Version-Release number of selected component:
menu-cache-1.0.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/menu-cache/menu-cache-gen -l de_DE.utf8:de_DE:de.utf8:de:C -i /etc/xdg/menus/applications.menu -o /home/builder/.cache/menus/2e3b6573a8035095c98a0364d891b4ba
crash_function: fm_xml_file_item_get_tag
executable:     /usr/libexec/menu-cache/menu-cache-gen
global_pid:     5526
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 fm_xml_file_item_get_tag at extra/fm-xml-file.c:1433
 #1 _activate_merges at menu-merge.c:1358
 #2 get_merged_menu at menu-merge.c:1794

Comment 1 Raphael Groner 2015-09-18 15:02:58 UTC
Created attachment 1074950 [details]
File: backtrace

Comment 2 Raphael Groner 2015-09-18 15:03:00 UTC
Created attachment 1074951 [details]
File: cgroup

Comment 3 Raphael Groner 2015-09-18 15:03:01 UTC
Created attachment 1074952 [details]
File: core_backtrace

Comment 4 Raphael Groner 2015-09-18 15:03:02 UTC
Created attachment 1074953 [details]
File: dso_list

Comment 5 Raphael Groner 2015-09-18 15:03:03 UTC
Created attachment 1074954 [details]
File: environ

Comment 6 Raphael Groner 2015-09-18 15:03:05 UTC
Created attachment 1074955 [details]
File: exploitable

Comment 7 Raphael Groner 2015-09-18 15:03:06 UTC
Created attachment 1074956 [details]
File: limits

Comment 8 Raphael Groner 2015-09-18 15:03:07 UTC
Created attachment 1074957 [details]
File: maps

Comment 9 Raphael Groner 2015-09-18 15:03:09 UTC
Created attachment 1074958 [details]
File: mountinfo

Comment 10 Raphael Groner 2015-09-18 15:03:10 UTC
Created attachment 1074959 [details]
File: namespaces

Comment 11 Raphael Groner 2015-09-18 15:03:11 UTC
Created attachment 1074960 [details]
File: open_fds

Comment 12 Raphael Groner 2015-09-18 15:03:12 UTC
Created attachment 1074961 [details]
File: proc_pid_status

Comment 13 Raphael Groner 2015-09-18 15:03:13 UTC
Created attachment 1074962 [details]
File: var_log_messages

Comment 14 Fedora Update System 2015-11-28 15:55:09 UTC
menu-cache-1.0.0-4.D20151128git0b1e85c263.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-18669069a5

Comment 15 Fedora Update System 2015-11-29 02:22:29 UTC
menu-cache-1.0.0-4.D20151128git0b1e85c263.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update menu-cache'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-18669069a5

Comment 16 Fedora Update System 2015-12-13 04:23:50 UTC
menu-cache-1.0.0-4.D20151128git0b1e85c263.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.